JACK-AUDIO-CONNECTION-KIT: transport.h File Reference

# transport.h File Reference

`#include <jack/types.h>`

Go to the source code of this file.

## Data Structures
struct | POST_PACKED_STRUCTURE
struct | jack_transport_info_t
## Defines
#define | JACK_POSITION_MASK (JackPositionBBT|JackPositionTimecode|JackBBTFrameOffset|JackAudioVideoRatio|JackVideoFrameOffset)
#define | EXTENDED_TIME_INFO
## Typedefs
typedef uint64_t | jack_unique_t
typedef int(* | JackSyncCallback )(jack_transport_state_t state, jack_position_t *pos, void *arg)
typedef void(* | JackTimebaseCallback )(jack_transport_state_t state, jack_nframes_t nframes, jack_position_t *pos, int new_pos, void *arg)
## Enumerations
enum | jack_transport_state_t { JackTransportStopped = 0, JackTransportRolling = 1, JackTransportLooping = 2, JackTransportStarting = 3 }
enum | jack_position_bits_t { JackPositionBBT = 0x10, JackPositionTimecode = 0x20, JackBBTFrameOffset = 0x40, JackAudioVideoRatio = 0x80, JackVideoFrameOffset = 0x100 }
enum | jack_transport_bits_t { JackTransportState = 0x1, JackTransportPosition = 0x2, JackTransportLoop = 0x4, JackTransportSMPTE = 0x8, JackTransportBBT = 0x10 }
## Functions
int | jack_release_timebase (jack_client_t *client)
int | jack_set_sync_callback (jack_client_t *client, JackSyncCallback sync_callback, void *arg)
int | jack_set_sync_timeout (jack_client_t *client, jack_time_t timeout)
int | jack_set_timebase_callback (jack_client_t *client, int conditional, JackTimebaseCallback timebase_callback, void *arg)
int | jack_transport_locate (jack_client_t *client, jack_nframes_t frame)
jack_transport_state_t | jack_transport_query (const jack_client_t *client, jack_position_t *pos)
jack_nframes_t | jack_get_current_transport_frame (const jack_client_t *client)
int | jack_transport_reposition (jack_client_t *client, jack_position_t *pos)
void | jack_transport_start (jack_client_t *client)
void | jack_transport_stop (jack_client_t *client)
void | jack_get_transport_info (jack_client_t *client, jack_transport_info_t *tinfo)
void | jack_set_transport_info (jack_client_t *client, jack_transport_info_t *tinfo)

## Define Documentation

#define EXTENDED_TIME_INFO

#define JACK_POSITION_MASK (JackPositionBBT|JackPositionTimecode|JackBBTFrameOffset|JackAudioVideoRatio|JackVideoFrameOffset)

all valid position bits

## Typedef Documentation

typedef uint64_t jack_unique_t

Unique ID (opaque)

## Enumeration Type Documentation

enum jack_position_bits_t

Optional struct jack_position_t fields.

Enumerator:

  JackPositionBBT | Bar, Beat, Tick
  JackPositionTimecode | External timecode
  JackBBTFrameOffset | Frame offset of BBT information
  JackAudioVideoRatio | audio frames per video frame
  JackVideoFrameOffset | frame offset of first video frame

enum jack_transport_bits_t

Optional struct jack_transport_info_t fields.

See also:
  jack_position_bits_t.

Enumerator:

  JackTransportState | Transport state
  JackTransportPosition | Frame number
  JackTransportLoop | Loop boundaries (ignored)
  JackTransportSMPTE | SMPTE (ignored)
  JackTransportBBT | Bar, Beat, Tick

enum jack_transport_state_t

Transport states.

Enumerator:

  JackTransportStopped | Transport halted
  JackTransportRolling | Transport playing
  JackTransportLooping | For OLD_TRANSPORT, now ignored
  JackTransportStarting | Waiting for sync ready

## Function Documentation

void jack_get_transport_info | ( | jack_client_t * | client,
|  | jack_transport_info_t * | tinfo |
| ) |  |  |

Gets the current transport info structure (deprecated).

Parameters:

  | client | the JACK client structure.
  | tinfo | current transport info structure. The "valid" field describes which fields contain valid data.

Deprecated:
  This is for compatibility with the earlier transport interface. Use jack_transport_query(), instead.

Precondition:
  Must be called from the process thread.

void jack_set_transport_info | ( | jack_client_t * | client,
|  | jack_transport_info_t * | tinfo |
| ) |  |  |

Set the transport info structure (deprecated).

Deprecated:
  This function still exists for compatibility with the earlier transport interface, but it does nothing. Instead, define a JackTimebaseCallback.